import logo from "./logo.svg";
import React, { useEffect, useState } from "react";
import { Route, Switch, useLocation, withRouter } from "react-router-dom";
import Login from "./container/Login";
import Home from "./container/Home";
import "./utils/i18n";
import DateAdapter from "@mui/lab/AdapterMoment";
import LocalizationProvider from "@mui/lab/LocalizationProvider";
import { useInterval } from "./utils/hooks";

function App() {
  const [gateLocation, setGateLocation] = useState("in");
  useEffect(() => {
    // set default api url to ATOS's VICS api
    if (!localStorage.getItem("@apiUrl")) {
      localStorage.setItem("@apiUrl", "http://163.179.126.38:10000/vics/web");
    }
  }, []);

  return (
    <LocalizationProvider dateAdapter={DateAdapter}>
      <div>
        <Switch>
          <Route path="/dashboard">
            <Home
              gateLocation={gateLocation}
              setGateLocation={setGateLocation}
            />
          </Route>
          <Route path="/">
            <Login
              gateLocation={gateLocation}
              setGateLocation={setGateLocation}
            />
          </Route>
        </Switch>
      </div>
    </LocalizationProvider>
  );
}

export default withRouter(App);
