import React, { useEffect, useState } from "react";
import { withRouter } from "react-router";

import Appbar from "./Appbar";
import In from "../In";
import Out from "../Out";
import Stat from "../Stat";
import { useInterval } from "../../utils/hooks";
import { login, logout } from "../../utils/api";

const Home = ({ gateLocation }) => {
  const [selectedPage, setSelectedPage] = useState(gateLocation);
  useInterval( async () => {
    // renew session
    const username = localStorage.getItem("username");
    if (username) {
      await logout();
      const loginResult = await login({
        userId: username,
        password: localStorage.getItem("@password"),
        machineType: "G",
        machineId: localStorage.getItem("@machineId"),
        apiUrl: localStorage.getItem("@apiUrl"),
      });
      localStorage.setItem("username", username);
      localStorage.setItem("@sessionId", loginResult.sessionId[0].split(';')[0]);
    }
  }, 30000)
  return (
    <>
      <Appbar
        position={gateLocation}
        selectedPage={selectedPage}
        setSelectedPage={setSelectedPage}
      />
      {selectedPage === "in" && <In />}
      {selectedPage === "out" && <Out />}
      {selectedPage === "stat" && <Stat gateLocation={gateLocation} />}
    </>
  );
};

export default withRouter(Home);
