import i18n from "i18next";
import { initReactI18next } from "react-i18next";

// the translations
// (tip move them in a JSON file and import them,
// or even better, manage them separated from your code: https://react.i18next.com/guides/multiple-translation-files)
const resources = {
  pt: {
    translation: {
      username: "Input Account",
      password: "Input Password",
      login: "Login",
      selectCenter: "Select Login Center",
      plate: "License",
      privateCar: "Automóvel",
      motor: "Motociclos",
      methodN: "Normal Booking",
      methodD: "Escort",
      methodV: "Vehicle Approved",
      methodO: "Other",
      photoexit: "Press photo to exit.",
      reshot: "Retake",
      printQR: "Print QR Code",
      checkin: "Check In",
      bookingType: "Booking Method",
      vehicleType: "Vehicle Type",
      plateRegistered: "Registered",
      plateNotRegistered: "Not Registered",
      logoutText: "Confirm Logout?",
      resetText: "Confirm Reset Information?",
      cancel: "Cancel",
      confirm: "Confirm",
      logoutTitle: "Logout",
      cannotLogin: "Cannot Login, please check username and password.",
      plateLenErr: "Please check vehicle plate length",
      inManage: "In Management",
      outManage: "Out Management",
      stat: "Stats",
      inputPlate: "Please input ",
      validate: "Validate In",
      manual: "Manual Open Gate",
      reset: "Reset",
      openGate: "Open Gate",
      closeGate: "Close Gate",
      bookingTime: "Booking Time",
      checkinTime: "Check In Time",
      parkingZone: "Parking Zone",
      tips: "Tips:",
      inTime: "In Time",
      plateId: "Plate No.",
      suggestParkingZone: "Suggested Parking Zone",
      inspectTime: "Inspection Time",
      openType: "Gate Open Type",
      openTime: "Gate Open Time",
      openPeriod: "Gate Open Period",
      exit: "Exit",
      query: "Query",
      date: "Date",
      gateMain: "Gate Management",
      vehicleNotFound: "Plate number not found, please retry.",
      lastUpdate: "Last Update",
    },
  },
  tc: {
    translation: {
      username: "請輸入帳號",
      password: "請輸入密碼",
      login: "登錄",
      selectCenter: "請選擇要登錄的中心",
      plate: "車牌",
      privateCar: "汽車",
      motor: "摩托車",
      methodN: "正常預約",
      methodD: "押解",
      methodV: "型號認可",
      methodO: "其它",
      photoexit: "點擊相片以退出",
      reshot: "重新拍攝",
      printQR: "列印 QR Code",
      checkin: "報到",
      bookingType: "預約方式",
      vehicleType: "車輛級別",
      plateRegistered: "車牌已登記",
      plateNotRegistered: "車牌未有登記",
      logoutText: "你確定要登出嗎?",
      resetText: "你確定要重設資料?",
      cancel: "取消",
      confirm: "確定",
      logoutTitle: "登出",
      cannotLogin: "未能登入，請檢查用戶名及密碼",
      plateLenErr: "車牌長度有誤，請檢查",
      inManage: "進場管理",
      outManage: "離場管理",
      stat: "統計",
      inputPlate: "請輸入車牌編號",
      validate: "進場校驗",
      manual: "手動放行",
      reset: "重置",
      openGate: "打開關閘",
      closeGate: "關閉關閘",
      bookingTime: "預約時間",
      checkinTime: "報到時間",
      parkingZone: "停車區域",
      tips: "提示",
      inTime: "進場時間",
      plateId: "車牌編號",
      suggestParkingZone: "建議停車區域",
      inspectTime: "驗車時段",
      openType: "開閘方式",
      openTime: "開閘時間",
      openPeriod: "開閘時段",
      exit: "出場",
      query: "查詢",
      date: "日期",
      gateMain: "閘機管理",
      vehicleNotFound: "找不到車牌，請檢查",
      forcedOpen: "強制開閘",
      lastUpdate: "最後更新",
    },
  },
};

i18n
  .use(initReactI18next) // passes i18n down to react-i18next
  .init({
    resources,
    lng: "tc", // language to use, more information here: https://www.i18next.com/overview/configuration-options#languages-namespaces-resources
    // you can use the i18n.changeLanguage function to change the language manually: https://www.i18next.com/overview/api#changelanguage
    // if you're using a language detector, do not define the lng option

    interpolation: {
      escapeValue: false, // react already safes from xss
    },
  });

export default i18n;
